import mwpy_gameobject

class MWPYWorld():
                
        def process_tool(self, obj_collection, go_type, centx, centy, width, height):
                for ooo in obj_collection:
                        if ooo.gameObjectType == go_type:
                                if not ooo.is_enable:
                                        ooo.is_enable = True
                                        ooo.x = centx
                                        ooo.y = centy
        def get_objects_count(self):
                return len(self.obj_collection)


